Loading...
Searching...
No Matches
RDKit::SmilesParseException Class Reference

`#include <SmilesParse.h>`

Inheritance diagram for RDKit::SmilesParseException:

## Public Member Functions

| SmilesParseException (const char *msg)
| SmilesParseException (const std::string msg)
const char * | what () const noexcept override
| ~SmilesParseException () noexcept override=default

## Detailed Description

Definition at line 125 of file SmilesParse.h.

## Constructor & Destructor Documentation

## SmilesParseException() [1/2]

RDKit::SmilesParseException::SmilesParseException | ( | const char * | msg | ) |

inline

Definition at line 127 of file SmilesParse.h.

## SmilesParseException() [2/2]

RDKit::SmilesParseException::SmilesParseException | ( | const std::string | msg | ) |

inline

Definition at line 128 of file SmilesParse.h.

## ~SmilesParseException()

RDKit::SmilesParseException::~SmilesParseException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::SmilesParseException::what | ( |  | ) | const

inline override noexcept

Definition at line 129 of file SmilesParse.h.

The documentation for this class was generated from the following file:

- SmilesParse.h